Package ghidra.app.events

# Class ExternalReferencePluginEvent

java.lang.Object
ghidra.framework.plugintool.PluginEvent
ghidra.app.events.ExternalReferencePluginEvent

public final class ExternalReferencePluginEvent extends PluginEvent
Plugin event used to navigate to a location in another program when following a external reference.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `NAME`
  The name of this plugin event.

  ### Fields inherited from class ghidra.framework.plugintool.PluginEvent

  `EXTERNAL_SOURCE_NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExternalReferencePluginEvent(String src, ExternalLocation extLoc, String programPath)`
  Construct a new plugin event.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ExternalLocation`
  `getExternalLocation()`
  Get the external location for this event.
  `String`
  `getProgramPath()`
  Returns the program path name

  ### Methods inherited from class ghidra.framework.plugintool.PluginEvent

  `getDetails, getEventName, getSourceName, getToolEventName, getTriggerEvent, isToolEvent, lookupToolEventName, setSourceName, setTriggerEvent, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### NAME

    public static final String NAME
    The name of this plugin event.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ExternalReferencePluginEvent

    public ExternalReferencePluginEvent(String src, ExternalLocation extLoc, String programPath)
    Construct a new plugin event.
    Parameters:
      `src` - name of the source of this event
      `extLoc` - the external location to follow
      `programPath` - The ghidra path name of the program file to go to.

- ## Method Details

  - ### getExternalLocation

    public ExternalLocation getExternalLocation()
    Get the external location for this event.
    Returns:
      the external location

  - ### getProgramPath

    public String getProgramPath()
    Returns the program path name
    Returns:
      String containing the program path name.